be.fgov.ehealth.dics.protocol.v4

## Class StandardSubstanceCodeCriterionType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.StandardSubstanceCodeCriterionType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:39+01:00",
                 comments="JAXB RI v2.3.7")
      public class StandardSubstanceCodeCriterionType
      extends Object
      implements Serializable

  Java class for StandardSubstanceCodeCriterionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StandardSubstanceCodeCriterionType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="Standard" type="{urn:be:fgov:ehealth:dics:core:v4:refdata}StdSbstAllStandardsType" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSubstanceCodeCriterionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStandard()` Gets the value of the standard property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setStandard(String value)` Sets the value of the standard property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardSubstanceCodeCriterionType

          public StandardSubstanceCodeCriterionType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStandard

          public String getStandard()

      Gets the value of the standard property.
      Returns:
        possible object is `String`

    - #### setStandard

          public void setStandard(String value)

      Sets the value of the standard property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.